function _async(f) {
  return function () {
    for (var args = [], i = 0; i < arguments.length; i++) {
      args[i] = arguments[i];
    }
    try {
      return Promise.resolve(f.apply(this, args));
    } catch (e) {
      return Promise.reject(e);
    }
  };
}
var createChangelogPlugin = _async(function () {
  return {
    id: 'changelog-md',
    addPages() {
      return [{
        path: 'changelog',
        navItem: {
          title: 'Changelog',
          nav: 'primarySub'
        },
        Page: /*#__PURE__*/React.lazy(() => import('./changelog-page.js'))
      }];
    }
  };
});

export { createChangelogPlugin as default };
