"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configure = void 0;
var _app = require("@knapsack/app");
var _fsExtra = _interopRequireDefault(require("fs-extra"));
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _await(value, then, direct) {
  if (direct) {
    return then ? then(value) : value;
  }
  if (!value || !value.then) {
    value = Promise.resolve(value);
  }
  return then ? value.then(then) : value;
}
function _async(f) {
  return function () {
    for (var args = [], i = 0; i < arguments.length; i++) {
      args[i] = arguments[i];
    }
    try {
      return Promise.resolve(f.apply(this, args));
    } catch (e) {
      return Promise.reject(e);
    }
  };
}
_app.log.setupUpdateNotifier(JSON.parse(_fsExtra.default.readFileSync(_path.default.join(__dirname, '../../package.json'), 'utf-8')));
const configure = ({
  changelogPath
}) => {
  const fullPath = _path.default.isAbsolute(changelogPath) ? changelogPath : _path.default.join(process.cwd(), changelogPath);
  if (!_fsExtra.default.existsSync(fullPath)) {
    throw new Error(`The path to the changelog provided does not exist: ${fullPath}`);
  }
  return {
    id: 'changelog-md',
    publicDir: _path.default.join(__dirname, '../../dist'),
    clientPluginPath: 'client/index.js',
    // async init(brain) {},
    loadContent: _async(function () {
      return _await(_fsExtra.default.readFile(fullPath, {
        encoding: 'utf-8'
      }), function (_fs$readFile) {
        return {
          changelogContent: _fs$readFile
        };
      });
    })
  };
};
exports.configure = configure;
//# sourceMappingURL=changelog-md.js.map